# GetAccountResource

| Parameter         | Description                                  |
| ----------------- | -------------------------------------------- |
| freeNetUsed       | Free bandwidth used                          |
| freeNetLimit      | Total free bandwidth                         |
| NetUsed           | Used amount of bandwidth obtained by staking |
| NetLimit          | Total bandwidth obtained by staking          |
| TotalNetLimit     | Total bandwidth can be obtained by staking   |
| TotalNetWeight    | Total TRX staked for bandwidth               |
| tronPowerLimit    | TRON Power(vote)                             |
| EnergyUsed        | Energy used                                  |
| EnergyLimit       | Total energy obtained by staking             |
| TotalEnergyLimit  | Total energy can be obtained by staking      |
| TotalEnergyWeight | Total TRX staked for energy                  |

**Body params**:

* `address` - Address:default hexString
* `visible` - Optional,whether the address is in base58 format

**Request**

```
curl --request POST \
     --url https://tron.api.watchdata.io/wallet/getaccountresource \
     --header 'Accept: application/json' \
     --header 'Content-Type: application/json' \
     --data '
{
     "address": "41BF97A54F4B829C4E9253B26024B1829E1A3B1120"
}
'
```

**Response**

```
{
  "freeNetLimit": 1500,
  "NetLimit": 10,
  "assetNetUsed": [
    {
      "key": "1000001",
      "value": 0
    },
    {
      "key": "1000088",
      "value": 0
    }
  ],
  "assetNetLimit": [
    {
      "key": "1000088",
      "value": 10000
    },
    {
      "key": "1000001",
      "value": 0
    }
  ],
  "TotalNetLimit": 43200000000,
  "TotalNetWeight": 51782429521,
  "tronPowerLimit": 24,
  "EnergyLimit": 2174,
  "TotalEnergyLimit": 1739957015823,
  "TotalEnergyWeight": 9601518617
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.watchdata.io/blockchain-apis/tron-api/account-resources/getaccountresource.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
